package org.springblade.common.config.json;

import com.alibaba.fastjson.serializer.BeanContext;
import com.alibaba.fastjson.serializer.ContextValueFilter;

/**
 * @author: lianghanqiang
 * @description: json转换处理，Long -》 String
 * @since: 8/31/21 -- 9:00 PM
 */
public class LongTypeFilter implements ContextValueFilter {
	@Override
	public Object process(BeanContext beanContext, Object o, String name, Object value) {
		if( value instanceof Long){
			return value+"";
		}
		return value;
	}


}
